Problem with DADA 2 (return code 9)


(savan) #1

When I running the denoise step and got the following results. Any suggestions? Thanks!

Code:
qiime dada2 denoise-paired --i-demultiplexed-seqs biojar.qza --p-trim-left-f 0 --p-trim-left-r 0 --p-trunc-len-f 240 --p-trunc-len-r 240 --o-table table.qza --o-representative-sequences rep-seqs.qza --o-denoising-stats denoising-stats.qza

Output:
Plugin error from dada2:
An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.
Debug info has been saved to /tmp/qiime2-q2cli-err-izwlelnq.log

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpx0_k1t40/forward /tmp/tmpx0_k1t40/reverse /tmp/tmpx0_k1t40/output.tsv.biom /tmp/tmpx0_k1t40/track.tsv /tmp/tmpx0_k1t40/filt_f /tmp/tmpx0_k1t40/filt_r 240 240 0 0 2.0 2 consensus 1.0 1 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …
  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Traceback (most recent call last):
    File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command β€˜[β€˜run_dada_paired.R’, β€˜/tmp/tmpx0_k1t40/forward’, β€˜/tmp/tmpx0_k1t40/reverse’, β€˜/tmp/tmpx0_k1t40/output.tsv.biom’, β€˜/tmp/tmpx0_k1t40/track.tsv’, β€˜/tmp/tmpx0_k1t40/filt_f’, β€˜/tmp/tmpx0_k1t40/filt_r’, β€˜240’, β€˜240’, β€˜0’, β€˜0’, β€˜2.0’, β€˜2’, β€˜consensus’, β€˜1.0’, β€˜1’, β€˜1000000’]’ returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File β€œβ€, line 2, in denoise_paired
File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 362, in callable_executor
output_views = self._callable(**view_args)
File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.


(Matthew Ryan Dillon) #2

(Matthew Ryan Dillon) #3

Hey there @savan!

This error code (-9) from DADA2 comes up most often when the host machine runs out of available memory. Do you have a higher-memory machine you can run this step on?


(Matthew Ryan Dillon) #4

(savan) #5

Thanks, I just doubled the memory, and will see if it works.


(savan) #6

Hi @THERMOKARST,

Now it showed: An error was encountered while running DADA2 in R (return code 1), something wrong for my data importing? Thanks!

R version 3.4.1 (2017-06-30)

Loading required package: Rcpp

DADA2 R package version: 1.6.0

  1. Filtering …

  2. Learning Error Rates

2a) Forward Reads

Initializing error rates to maximum possible estimate.

Sample 1 - 17606 reads in 11752 unique sequences.

Sample 2 - 37671 reads in 22239 unique sequences.

Sample 3 - 33752 reads in 20058 unique sequences.

Sample 4 - 29663 reads in 17691 unique sequences.

Sample 5 - 29924 reads in 18275 unique sequences.

Sample 6 - 36504 reads in 21788 unique sequences.

Sample 7 - 38749 reads in 23099 unique sequences.

Sample 8 - 45722 reads in 26763 unique sequences.

Sample 9 - 20763 reads in 13686 unique sequences.

Sample 10 - 33749 reads in 19823 unique sequences.

Sample 11 - 45897 reads in 26953 unique sequences.

Sample 12 - 24832 reads in 15236 unique sequences.

Sample 13 - 29449 reads in 17659 unique sequences.

Sample 14 - 35779 reads in 21429 unique sequences.

Sample 15 - 33678 reads in 20177 unique sequences.

Sample 16 - 48320 reads in 27492 unique sequences.

selfConsist step 2

selfConsist step 3

selfConsist step 4

selfConsist step 5

selfConsist step 6

Convergence after 6 rounds.

2b) Reverse Reads

Initializing error rates to maximum possible estimate.

Sample 1 - 17606 reads in 11752 unique sequences.

Sample 2 - 37671 reads in 22239 unique sequences.

Sample 3 - 33752 reads in 20058 unique sequences.

Sample 4 - 29663 reads in 17691 unique sequences.

Sample 5 - 29924 reads in 18275 unique sequences.

Sample 6 - 36504 reads in 21788 unique sequences.

Sample 7 - 38749 reads in 23099 unique sequences.

Sample 8 - 45722 reads in 26763 unique sequences.

Sample 9 - 20763 reads in 13686 unique sequences.

Sample 10 - 33749 reads in 19823 unique sequences.

Sample 11 - 45897 reads in 26953 unique sequences.

Sample 12 - 24832 reads in 15236 unique sequences.

Sample 13 - 29449 reads in 17659 unique sequences.

Sample 14 - 35779 reads in 21429 unique sequences.

Sample 15 - 33678 reads in 20177 unique sequences.

Sample 16 - 48320 reads in 27492 unique sequences.

selfConsist step 2

selfConsist step 3

selfConsist step 4

selfConsist step 5

selfConsist step 6

Convergence after 6 rounds.

  1. Denoise remaining samples

  2. Remove chimeras (method = consensus)

Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :

Input must be a valid sequence table.

Calls: removeBimeraDenovo -> isBimeraDenovoTable

In addition: Warning message:

In is.na(colnames(unqs[[i]])) :

is.na() applied to non-(list or vector) of type β€˜NULL’

Execution halted

Traceback (most recent call last):

File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired

run_commands([cmd])

File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands

subprocess.run(cmd, check=True)

File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/subprocess.py”, line 398, in run

output=stdout, stderr=stderr)

subprocess.CalledProcessError: Command β€˜[β€˜run_dada_paired.R’, β€˜/tmp/tmprxsrprr3/forward’, β€˜/tmp/tmprxsrprr3/reverse’, β€˜/tmp/tmprxsrprr3/output.tsv.biom’, β€˜/tmp/tmprxsrprr3/track.tsv’, β€˜/tmp/tmprxsrprr3/filt_f’, β€˜/tmp/tmprxsrprr3/filt_r’, β€˜250’, β€˜250’, β€˜0’, β€˜0’, β€˜2.0’, β€˜2’, β€˜consensus’, β€˜1.0’, β€˜1’, β€˜1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call

results = action(**arguments)

File β€œ<decorator-gen-436>”, line 2, in denoise_paired

File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable

output_types, provenance)

File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 362, in callable_executor

output_views = self._callable(**view_args)

File β€œ/n/home00/miniconda3/envs/qiime2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired

" and stderr to learn more." % e.returncode)

Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

Running external command line application(s). This may print messages to stdout and/or stderr.

The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmprxsrprr3/forward /tmp/tmprxsrprr3/reverse /tmp/tmprxsrprr3/output.tsv.biom /tmp/tmprxsrprr3/track.tsv /tmp/tmprxsrprr3/filt_f /tmp/tmprxsrprr3/filt_r 250 250 0 0 2.0 2 consensus 1.0 1 1000000


(Mehrbod Estaki) #7

Hi @savan,
This errror:

Tends to pop up when there are no reads left to enter the chimera removal step.
Common causes are importing the wrong reverse files (i.e. both forward and reverse are the same, or not true pairs), or the reads failed to merge and instead are dropped.
Things to try:
Double check your importing step (including your manifest if used) to make sure you imported the appropriate forward and reverse files. Also consider that in order for DADA2 to merge reads properly it needs a minimum of 20bp overlap between forward and reverse reads. So can you check with your primer sets to see if truncating at 240 (based on your initial post) actually leaves sufficient overlap?